Asterisk.org: Developer Documentation (28 Oct 2009)

Wed Oct 28 15:49:44 2009

## Asterisk developer's documentation

# mgcp_gateway Struct Reference

Collaboration diagram for mgcp_gateway:

[legend]

## Data Fields

struct sockaddr_in | addr
struct sockaddr_in | defaddr
int | delme
int | dynamic
struct mgcp_endpoint * | endpoints
int | expire
struct ast_ha * | ha
int | isnamedottedip
struct mgcp_message * | msgs
ast_mutex_t | msgs_lock
char | name [80]
struct mgcp_gateway * | next
struct in_addr | ourip
struct mgcp_response * | responses
int | retransid
char | wcardep [30]

## Detailed Description

Definition at line 440 of file chan_mgcp.c.

## Field Documentation

struct sockaddr_in addr`[read]`

Definition at line 444 of file chan_mgcp.c.

Referenced by __mgcp_xmit(), build_gateway(), find_command(), find_subchannel_and_lock(), mgcp_show_endpoints(), resend_response(), send_request(), and send_response().

struct sockaddr_in defaddr`[read]`

Definition at line 445 of file chan_mgcp.c.

Referenced by __mgcp_xmit(), build_gateway(), find_subchannel_and_lock(), and mgcp_show_endpoints().

int delme

Definition at line 461 of file chan_mgcp.c.

Referenced by build_gateway(), prune_gateways(), reload_config(), and unload_module().

int dynamic

Definition at line 447 of file chan_mgcp.c.

Referenced by build_gateway(), find_subchannel_and_lock(), and mgcp_show_endpoints().

struct mgcp_endpoint* endpoints`[read]`

Definition at line 449 of file chan_mgcp.c.

Referenced by build_gateway(), do_monitor(), find_subchannel_and_lock(), handle_request(), mgcp_audit_endpoint(), mgcp_show_endpoints(), prune_gateways(), reload_config(), and unload_module().

int expire

Definition at line 448 of file chan_mgcp.c.

Referenced by build_gateway().

struct ast_ha* ha`[read]`

Definition at line 450 of file chan_mgcp.c.

Referenced by build_gateway(), and destroy_gateway().

int isnamedottedip

Definition at line 443 of file chan_mgcp.c.

Referenced by build_gateway(), and init_req().

struct mgcp_message* msgs`[read]`

Definition at line 458 of file chan_mgcp.c.

Referenced by dump_queue(), mgcp_postrequest(), mgcpsock_read(), and retrans_pkt().

ast_mutex_t msgs_lock

Definition at line 459 of file chan_mgcp.c.

Referenced by build_gateway(), dump_queue(), mgcp_postrequest(), mgcpsock_read(), and retrans_pkt().

char name[80]

Definition at line 442 of file chan_mgcp.c.

Referenced by attempt_transfer(), build_gateway(), dump_queue(), find_subchannel_and_lock(), handle_hd_hf(), handle_request(), handle_response(), init_req(), mgcp_answer(), mgcp_audit_endpoint(), mgcp_hangup(), mgcp_new(), mgcp_show_endpoints(), mgcpsock_read(), reload_config(), retrans_pkt(), transmit_connect_with_sdp(), transmit_connection_del(), transmit_connection_del_w_params(), transmit_modify_request(), transmit_notify_request(), transmit_notify_request_with_callerid(), and unalloc_sub().

struct mgcp_gateway* next`[read]`

Definition at line 463 of file chan_mgcp.c.

Referenced by build_gateway(), find_subchannel_and_lock(), mgcp_audit_endpoint(), mgcp_show_endpoints(), prune_gateways(), reload_config(), and unload_module().

struct in_addr ourip`[read]`

Definition at line 446 of file chan_mgcp.c.

Referenced by add_sdp(), build_gateway(), and find_subchannel_and_lock().

struct mgcp_response* responses`[read]`

Definition at line 462 of file chan_mgcp.c.

Referenced by find_and_retrans(), and transmit_response().

int retransid

Definition at line 460 of file chan_mgcp.c.

Referenced by build_gateway(), mgcp_postrequest(), mgcpsock_read(), and retrans_pkt().

char wcardep[30]

Definition at line 457 of file chan_mgcp.c.

Referenced by build_gateway(), handle_request(), and mgcp_show_endpoints().

The documentation for this struct was generated from the following file:

- chan_mgcp.c